#include "app_inc.h"    //应用任务公共头文件

//===========================================================================
//任务名称：task_C
//功能概要：将串口4中断接收的完整数据帧发送至PC机
//参数说明：未使用
//备          注：使用全局变量lwevent_group1, UART4_RecData_Event,g_UART_ISR_buffer
//===========================================================================
void task_C (uint32_t initial_data )
{ 
    int itemp;
    //进入主循环
    while (1)
    {    
        //等待串口4接收完整数据帧事件位（Event_UART4_ReData）
        _lwevent_wait_for(&lwevent_group1, Event_UART4_ReData, FALSE, NULL); 
        g_UART_FrameCount++;         //接收的帧数加1
        
        printf("串口4接收的完整数据帧：(--");
        printf("0x%02x",g_UART_FrameCount);//发送帧数
        printf("--)：0x");
        
        //发送帧数据
        for(itemp=0;itemp<g_UART_ISR_buffer[1]+3;itemp++)
        {
            printf("%02x",g_UART_ISR_buffer[itemp]);
        }
        printf("\n");
        //清除串口4接收完整数据帧事件位（Event_UART4_ReData）         
        _lwevent_clear(&lwevent_group1, Event_UART4_ReData); 
    }
}



